import { Vector3 } from "./Vector3";
/** The transformation of an object consists of a position and 3 rotations in radians */
export declare class Transformation {
    position: Vector3;
    rotation: Vector3;
    constructor(position: Vector3, rotation: Vector3);
    /** Convenience function for creating a Transformation, cloning the parameters, rotation must be radinas already */
    static create(position: Vector3, rotation: Vector3): Transformation;
    /** Convenience function for cloning a Transformation */
    static clone(transformation: Transformation): Transformation;
}
